Upgrade to Version 8

Hello,

I want to upgrade the Elastic Stack to Version 8. Because we have some AIX Servers in our environment, I used the Beats that were made available by Bull Freeware some years ago and are running version 7.5.x.

As this is not compatible with version 8, I was wondering, how to continue using them. My idea is, to connect them to a compatible version of Logstash instead to Elasticsearch directly and forward the data to Elasticsearch by Logstash. My expectation is, that this is a workaround for my problem.

Is my assumption correct?

Thank and best regards,
Norbert

Or look at using rsyslog to send to a Filebeat instance somewhere.